<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetDeletedItems Method (IEdmFolder11)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder11 Interface : GetDeletedItems Method (IEdmFolder11)

Visual Basic
C#
C++/CLI

poDeletedItems
  Array of EdmDeletedItems

bRecursive
  True to recursively restore subfolder contents, false to not

Gets items deleted from this folder.

# Syntax

Visual Basic |
--- | ---

    Sub GetDeletedItems( _
       ByRef poDeletedItems() As EdmDeletedItems, _
       Optional ByVal bRecursive As System.Boolean _
    )

C# |
--- | ---

    void GetDeletedItems(
       out EdmDeletedItems[] poDeletedItems,
       System.bool bRecursive
    )

C++/CLI |
--- | ---

    void GetDeletedItems(
    &   [Out] array<EdmDeletedItems>^ poDeletedItems,
    &   System.bool bRecursive
    )

#### Parameters

poDeletedItems
  Array of EdmDeletedItems
bRecursive
  True to recursively restore subfolder contents, false to not

# Example

See the IEdmFolder11 examples.

# Remarks

Use IEdmFolder11::RecoverDeletedItems to restore poDeletedItems to the vault view.

# See Also

####

IEdmFolder11 Interface
IEdmFolder11 Members

# Availability

SOLIDWORKS PDM Professional 2018